KEEPALIVED(8)

NAME
keepalived - load-balancing and high-availability service

SYNOPSIS
keepalived [-f|--use-file=FILE] [-P|--vrrp] [-C|--check] [-l|--log-console] [-D|--log-detail] [-S|--log-facility={0-7}] [-V|--dont-release-vrrp] [-I|--dont-release-ipvs] [-R|--dont-respawn] [-n|--dont-fork] [-d|--dump-conf] [-p|--pid=FILE] [-r|--vrrp_pid=FILE] [-c|--checkers_pid=FILE] [-v|--version] [-h|--help]

DESCRIPTION
Keepalived provides simple and robust facilities for load-balancing and high-availability. The load-balancing framework relies on well-known and widely used Linux Virtual Server (IPVS) kernel module providing Layer4 load-balancing. Keepalived implements a set of checkers to dynamically and adaptively maintain and manage load-balanced server pool according their health. Keepalived also implements the VRRPv2 protocol to achieve high-availability with director failover.

OPTIONS

-f, --use-file=FILE
    Use the specified configuration file. The default configuration file is "/etc/keepalived/keepalived.conf".

-P, --vrrp
    Only run the VRRP subsystem. This is useful for configurations that do not use IPVS load balancer.

-C, --check
    Only run the healthcheck subsystem. This is useful for configurations that use the IPVS load balancer with a single director with no failover.

-l, --log-console
    Log messages to the local console. The default behavior is to log messages to syslog.

-D, --log-detail
    Detailed log messages.

-S, --log-facility=[0-7]
    Set syslog facility to LOG_LOCAL[0-7]. The default syslog facility is LOG_DAEMON.

-V, --dont-release-vrrp
    Don't remove VRRP VIPs and VROUTEs on daemon stop. The default behavior is to remove all VIPs and VROUTEs when keepalived exits

-I, --dont-release-ipvs
    Don't remove IPVS topology on daemon stop. The default behavior it to remove all entries from the IPVS virtual server table on when keepalived exits.

-R, --dont-respawn
    Don't respawn child processes. The default behavior is to restart the VRRP and checker processes if either process exits.

-n, --dont-fork
    Don't fork the daemon process. This option will cause keepalived to run in the foreground.

-d, --dump-conf
    Dump the configuration data.

-p, --pid=FILE
    Use specified pidfile for parent keepalived process. The default pidfile for keepalived is "/var/run/keepalived.pid".

-r, --vrrp_pid=FILE
    Use specified pidfile for VRRP child process. The default pidfile for the VRRP child process is "/var/run/keepalived_vrrp.pid".

-c, --checkers_pid=FILE
    Use specified pidfile for checkers child process. The default pidfile for the checker child process is "/var/run/keepalived_checkers.pid".

-v, --version
    Display the version and exit.

-h, --help
    Display this help message and exit.

SEE ALSO
keepalived.conf(5), ipvsadm(8)

AUTHOR
This man page was written by Ryan O'Hara <rohara@redhat.com>